%global gitdate 20181215
%global gitcommit 7e5103cc323303f30b99787bf11f6f2f87ded2a4
%global gitshortcommit %(c=%{gitcommit}; echo ${c:0:7})

Name:           wl-clipboard
Version:        1.0.0
Release:        0.1.%{gitdate}git%{gitshortcommit}%{?dist}
Summary:        Command-line copy/paste utilities for Wayland

License:        GPLv3+
URL:            https://github.com/bugaevc/wl-clipboard
Source0:        %{url}/archive/%{gitcommit}/%{name}-%{gitshortcommit}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  wayland-devel
BuildRequires:  wayland-protocols-devel

Recommends:     xdg-utils
Recommends:     mailcap

%description
Command-line Wayland clipboard utilities, `wl-copy` and `wl-paste`,
that let you easily copy data between the clipboard and Unix pipes,
sockets, files and so on.

%prep
%autosetup -n %{name}-%{gitcommit}

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc README.md
%{_bindir}/wl-copy
%{_bindir}/wl-paste
%{_mandir}/man1/wl-clipboard.1.*
%{_mandir}/man1/wl-copy.1.*
%{_mandir}/man1/wl-paste.1.*

%changelog
* Sat Feb  9 2019 Marc-André Lureau <marcandre.lureau@redhat.com> - 1.0.0-0.1.20181215git7e5103c
- initial package (rhbz#1660440)
